# -*- coding: utf-8 -*-
# Generated by Django 1.11.1 on 2017-11-26 13:03
from __future__ import unicode_literals

from django.db import migrations, models


class Migration(migrations.Migration):

    dependencies = [
        ('gooshichand', '0017_mobilespecs_modelalt'),
    ]

    operations = [
        migrations.CreateModel(
            name='AdsTgSubs',
            fields=[
                ('id', models.AutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('created', models.DateTimeField(auto_now_add=True)),
                ('ids', models.CharField(blank=True, max_length=1000, null=True)),
                ('chat_ids', models.CharField(blank=True, max_length=1000, null=True)),
                ('email', models.CharField(blank=True, max_length=1000, null=True)),
                ('phone', models.CharField(blank=True, max_length=1000, null=True)),
                ('telegram', models.CharField(blank=True, max_length=1000, null=True)),
                ('fields', models.CharField(blank=True, max_length=1000, null=True)),
                ('keywords', models.CharField(blank=True, max_length=1000, null=True)),
                ('payed', models.BooleanField(default=False)),
                ('locked', models.BooleanField(default=False)),
                ('verified', models.BooleanField(default=False)),
                ('test_by_user', models.BooleanField(default=False, verbose_name='Tested By User')),
                ('expired', models.DateTimeField(blank=True, null=True)),
                ('comment', models.TextField(blank=True, null=True)),
                ('authority', models.CharField(blank=True, max_length=100, null=True, verbose_name='Authority')),
                ('ref_id', models.CharField(blank=True, max_length=100, null=True, verbose_name='Reference ID')),
                ('payment_time', models.DateTimeField(blank=True, null=True, verbose_name='Payment Time')),
                ('ingroup', models.BooleanField(default=True)),
                ('invalid_tg', models.BooleanField(default=False, verbose_name='Invalid Telegram ACC')),
                ('payment_page', models.CharField(blank=True, max_length=1000, null=True, verbose_name='Pay Link')),
            ],
            options={
                'ordering': ('-created',),
                'verbose_name': 'Ad In Telegram Sub',
                'verbose_name_plural': 'Ad In Telegram Subs',
            },
        ),
        migrations.CreateModel(
            name='PaymentGW',
            fields=[
                ('id', models.AutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('type', models.CharField(blank=True, default=b'zpal', max_length=64, null=True, verbose_name='Gateway Type')),
                ('gateway_webservice', models.CharField(blank=True, max_length=200, null=True, verbose_name='Web Service Url')),
                ('gateway_starturl', models.CharField(blank=True, max_length=200, null=True, verbose_name='Start Url')),
                ('gateway_callbackurl', models.CharField(blank=True, max_length=200, null=True, verbose_name='Callback Url')),
                ('gateway_api', models.CharField(blank=True, max_length=512, null=True, verbose_name='Gateway API')),
                ('is_selected', models.BooleanField(default=False, verbose_name='Gateway Select')),
            ],
            options={
                'verbose_name': 'Payment Gateway',
                'verbose_name_plural': 'Payment Gateways',
            },
        ),
    ]
